Subject: Re: bug#70435: 30.0.50; cc-mode: <> are sometimes not reconized as parentheses

From: Herman, Géza <[email-masked]>
Date: Mon, 29 Apr 2024 19:21:01 +0200

Hello Alan,

Alan Mackenzie <[email-masked]> writes:

> I have a fix, I think.  It is actually a two line fix, removing 
> a test
> from the top of a function, but it involves reindenting the 
> entire rest
> of the function.
>
> Please apply the patch below, recompile cc-engine.el, then load 
> the
> resulting CC Mode into a running Emacs.  Please test it on your 
> real C++
> code, and let me know if the bug is actually fixed.  Thanks!

I can confirm that the patch fixes the issue, I tested it in real 
circumstances.

Thanks for fixing the problem so quickly!

Géza